Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ListenerContinuation

    java.lang.Object
      rice.Continuation.ListenerContinuation

All Implemented Interfaces:
  Continuation

Enclosing interface:
  Continuation

    public static class Continuation.ListenerContinuation

extends java.lang.Object
implements Continuation

This class is a Continuation provided for simplicity which listens for any errors and ignores any success values. This Continuation is provided for testing convience only and should *NOT* be used in production environment.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ExternalContinuationRunnable, Continuation.ExternalRunnable, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected Logger` | `logger` DESCRIBE THE FIELD
`protected java.lang.String` | `name` The name of this continuation

Constructor Summary
`Continuation.ListenerContinuation(java.lang.String name, Environment env)` Constructor which takes in a name

Method Summary
`void` | `receiveException(java.lang.Exception result)` Called when an execption occured as a result of the previous command.
`void` | `receiveResult(java.lang.Object result)` Called when a previously requested result is now availble.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of this continuation

### logger

    protected Logger logger

  DESCRIBE THE FIELD

Constructor Detail

### Continuation.ListenerContinuation

    public Continuation.ListenerContinuation(java.lang.String name,
                                             Environment env)

  Constructor which takes in a name

  Parameters:
    `name` - A name which uniquely identifies this contiuation for debugging purposes
    `env` - DESCRIBE THE PARAMETER

Method Detail

### receiveResult

    public void receiveResult(java.lang.Object result)

  Called when a previously requested result is now availble. Does absolutely nothing.

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `result` - The result

### receiveException

    public void receiveException(java.lang.Exception result)

  Called when an execption occured as a result of the previous command. Simply prints an error message to the screen.

  Specified by:
    `receiveException` in interface `Continuation`
  Parameters:
    `result` - The exception which was caused.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.